Index: uspace/lib/drv/include/nic_iface.h
===================================================================
--- uspace/lib/drv/include/nic_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/nic_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,67 +47,67 @@
 } nic_event_t;
 
-extern errno_t nic_send_frame(async_sess_t *, void *, size_t);
-extern errno_t nic_callback_create(async_sess_t *, async_port_handler_t, void *);
-extern errno_t nic_get_state(async_sess_t *, nic_device_state_t *);
-extern errno_t nic_set_state(async_sess_t *, nic_device_state_t);
-extern errno_t nic_get_address(async_sess_t *, nic_address_t *);
-extern errno_t nic_set_address(async_sess_t *, const nic_address_t *);
-extern errno_t nic_get_stats(async_sess_t *, nic_device_stats_t *);
-extern errno_t nic_get_device_info(async_sess_t *, nic_device_info_t *);
-extern errno_t nic_get_cable_state(async_sess_t *, nic_cable_state_t *);
+extern int nic_send_frame(async_sess_t *, void *, size_t);
+extern int nic_callback_create(async_sess_t *, async_port_handler_t, void *);
+extern int nic_get_state(async_sess_t *, nic_device_state_t *);
+extern int nic_set_state(async_sess_t *, nic_device_state_t);
+extern int nic_get_address(async_sess_t *, nic_address_t *);
+extern int nic_set_address(async_sess_t *, const nic_address_t *);
+extern int nic_get_stats(async_sess_t *, nic_device_stats_t *);
+extern int nic_get_device_info(async_sess_t *, nic_device_info_t *);
+extern int nic_get_cable_state(async_sess_t *, nic_cable_state_t *);
 
-extern errno_t nic_get_operation_mode(async_sess_t *, int *, nic_channel_mode_t *,
+extern int nic_get_operation_mode(async_sess_t *, int *, nic_channel_mode_t *,
     nic_role_t *);
-extern errno_t nic_set_operation_mode(async_sess_t *, int, nic_channel_mode_t,
+extern int nic_set_operation_mode(async_sess_t *, int, nic_channel_mode_t,
     nic_role_t);
-extern errno_t nic_autoneg_enable(async_sess_t *, uint32_t);
-extern errno_t nic_autoneg_disable(async_sess_t *);
-extern errno_t nic_autoneg_probe(async_sess_t *, uint32_t *, uint32_t *,
+extern int nic_autoneg_enable(async_sess_t *, uint32_t);
+extern int nic_autoneg_disable(async_sess_t *);
+extern int nic_autoneg_probe(async_sess_t *, uint32_t *, uint32_t *,
     nic_result_t *, nic_result_t *);
-extern errno_t nic_autoneg_restart(async_sess_t *);
-extern errno_t nic_get_pause(async_sess_t *, nic_result_t *, nic_result_t *,
+extern int nic_autoneg_restart(async_sess_t *);
+extern int nic_get_pause(async_sess_t *, nic_result_t *, nic_result_t *,
     uint16_t *);
-extern errno_t nic_set_pause(async_sess_t *, int, int, uint16_t);
+extern int nic_set_pause(async_sess_t *, int, int, uint16_t);
 
-extern errno_t nic_unicast_get_mode(async_sess_t *, nic_unicast_mode_t *, size_t,
+extern int nic_unicast_get_mode(async_sess_t *, nic_unicast_mode_t *, size_t,
     nic_address_t *, size_t *);
-extern errno_t nic_unicast_set_mode(async_sess_t *, nic_unicast_mode_t,
+extern int nic_unicast_set_mode(async_sess_t *, nic_unicast_mode_t,
     const nic_address_t *, size_t);
-extern errno_t nic_multicast_get_mode(async_sess_t *, nic_multicast_mode_t *,
+extern int nic_multicast_get_mode(async_sess_t *, nic_multicast_mode_t *,
     size_t, nic_address_t *, size_t *);
-extern errno_t nic_multicast_set_mode(async_sess_t *, nic_multicast_mode_t,
+extern int nic_multicast_set_mode(async_sess_t *, nic_multicast_mode_t,
     const nic_address_t *, size_t);
-extern errno_t nic_broadcast_get_mode(async_sess_t *, nic_broadcast_mode_t *);
-extern errno_t nic_broadcast_set_mode(async_sess_t *, nic_broadcast_mode_t);
-extern errno_t nic_defective_get_mode(async_sess_t *, uint32_t *);
-extern errno_t nic_defective_set_mode(async_sess_t *, uint32_t);
-extern errno_t nic_blocked_sources_get(async_sess_t *, size_t, nic_address_t *,
+extern int nic_broadcast_get_mode(async_sess_t *, nic_broadcast_mode_t *);
+extern int nic_broadcast_set_mode(async_sess_t *, nic_broadcast_mode_t);
+extern int nic_defective_get_mode(async_sess_t *, uint32_t *);
+extern int nic_defective_set_mode(async_sess_t *, uint32_t);
+extern int nic_blocked_sources_get(async_sess_t *, size_t, nic_address_t *,
     size_t *);
-extern errno_t nic_blocked_sources_set(async_sess_t *, const nic_address_t *,
+extern int nic_blocked_sources_set(async_sess_t *, const nic_address_t *,
     size_t);
 
-extern errno_t nic_vlan_get_mask(async_sess_t *, nic_vlan_mask_t *);
-extern errno_t nic_vlan_set_mask(async_sess_t *, const nic_vlan_mask_t *);
-extern errno_t nic_vlan_set_tag(async_sess_t *, uint16_t, bool, bool);
+extern int nic_vlan_get_mask(async_sess_t *, nic_vlan_mask_t *);
+extern int nic_vlan_set_mask(async_sess_t *, const nic_vlan_mask_t *);
+extern int nic_vlan_set_tag(async_sess_t *, uint16_t, bool, bool);
 
-extern errno_t nic_wol_virtue_add(async_sess_t *, nic_wv_type_t, const void *,
+extern int nic_wol_virtue_add(async_sess_t *, nic_wv_type_t, const void *,
     size_t, nic_wv_id_t *);
-extern errno_t nic_wol_virtue_remove(async_sess_t *, nic_wv_id_t);
-extern errno_t nic_wol_virtue_probe(async_sess_t *, nic_wv_id_t, nic_wv_type_t *,
+extern int nic_wol_virtue_remove(async_sess_t *, nic_wv_id_t);
+extern int nic_wol_virtue_probe(async_sess_t *, nic_wv_id_t, nic_wv_type_t *,
     size_t, void *, size_t *);
-extern errno_t nic_wol_virtue_list(async_sess_t *, nic_wv_type_t, size_t,
+extern int nic_wol_virtue_list(async_sess_t *, nic_wv_type_t, size_t,
     nic_wv_id_t *, size_t *);
-extern errno_t nic_wol_virtue_get_caps(async_sess_t *, nic_wv_type_t, int *);
-extern errno_t nic_wol_load_info(async_sess_t *, nic_wv_type_t *, size_t, uint8_t *,
+extern int nic_wol_virtue_get_caps(async_sess_t *, nic_wv_type_t, int *);
+extern int nic_wol_load_info(async_sess_t *, nic_wv_type_t *, size_t, uint8_t *,
     size_t *);
 
-extern errno_t nic_offload_probe(async_sess_t *, uint32_t *, uint32_t *);
-extern errno_t nic_offload_set(async_sess_t *, uint32_t, uint32_t);
+extern int nic_offload_probe(async_sess_t *, uint32_t *, uint32_t *);
+extern int nic_offload_set(async_sess_t *, uint32_t, uint32_t);
 
-extern errno_t nic_poll_get_mode(async_sess_t *, nic_poll_mode_t *,
+extern int nic_poll_get_mode(async_sess_t *, nic_poll_mode_t *,
     struct timeval *);
-extern errno_t nic_poll_set_mode(async_sess_t *, nic_poll_mode_t,
+extern int nic_poll_set_mode(async_sess_t *, nic_poll_mode_t,
     const struct timeval *);
-extern errno_t nic_poll_now(async_sess_t *);
+extern int nic_poll_now(async_sess_t *);
 
 #endif
Index: uspace/lib/drv/include/ops/battery_dev.h
===================================================================
--- uspace/lib/drv/include/ops/battery_dev.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ops/battery_dev.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,6 +40,6 @@
 
 typedef struct {
-	errno_t (*battery_status_get)(ddf_fun_t *, battery_status_t *);
-	errno_t (*battery_charge_level_get)(ddf_fun_t *, int *);
+	int (*battery_status_get)(ddf_fun_t *, battery_status_t *);
+	int (*battery_charge_level_get)(ddf_fun_t *, int *);
 } battery_dev_ops_t;
 
Index: uspace/lib/drv/include/ops/clock_dev.h
===================================================================
--- uspace/lib/drv/include/ops/clock_dev.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ops/clock_dev.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,6 +40,6 @@
 
 typedef struct {
-	errno_t (*time_get)(ddf_fun_t *, struct tm *);
-	errno_t (*time_set)(ddf_fun_t *, struct tm *);
+	int (*time_get)(ddf_fun_t *, struct tm *);
+	int (*time_set)(ddf_fun_t *, struct tm *);
 } clock_dev_ops_t;
 
Index: uspace/lib/drv/include/ops/hw_res.h
===================================================================
--- uspace/lib/drv/include/ops/hw_res.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ops/hw_res.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,9 +44,9 @@
 typedef struct {
 	hw_resource_list_t *(*get_resource_list)(ddf_fun_t *);
-	errno_t (*enable_interrupt)(ddf_fun_t *, int);
-	errno_t (*disable_interrupt)(ddf_fun_t *, int);
-	errno_t (*clear_interrupt)(ddf_fun_t *, int);
-	errno_t (*dma_channel_setup)(ddf_fun_t *, unsigned, uint32_t, uint32_t, uint8_t);
-	errno_t (*dma_channel_remain)(ddf_fun_t *, unsigned, size_t *);
+	int (*enable_interrupt)(ddf_fun_t *, int);
+	int (*disable_interrupt)(ddf_fun_t *, int);
+	int (*clear_interrupt)(ddf_fun_t *, int);
+	int (*dma_channel_setup)(ddf_fun_t *, unsigned, uint32_t, uint32_t, uint8_t);
+	int (*dma_channel_remain)(ddf_fun_t *, unsigned, size_t *);
 } hw_res_ops_t;
 
Index: uspace/lib/drv/include/ops/ieee80211.h
===================================================================
--- uspace/lib/drv/include/ops/ieee80211.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ops/ieee80211.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -48,8 +48,8 @@
 	 * @param now     Whether to initiate scan immediately.
 	 *
-	 * @return EOK if succeed, error code otherwise.
+	 * @return EOK if succeed, negative error code otherwise.
 	 *
 	 */
-	errno_t (*get_scan_results)(ddf_fun_t *, ieee80211_scan_results_t *, bool);
+	int (*get_scan_results)(ddf_fun_t *, ieee80211_scan_results_t *, bool);
 	
 	/** Connect IEEE 802.11 device to specified network.
@@ -59,8 +59,8 @@
 	 * @param password Network password (empty string if not needed).
 	 *
-	 * @return EOK if succeed, error code otherwise.
+	 * @return EOK if succeed, negative error code otherwise.
 	 *
 	 */
-	errno_t (*connect)(ddf_fun_t *, char *, char *);
+	int (*connect)(ddf_fun_t *, char *, char *);
 	
 	/** Disconnect IEEE 802.11 device from network.
@@ -68,8 +68,8 @@
 	 * @param fun IEEE 802.11 function.
 	 *
-	 * @return EOK if succeed, error code otherwise.
+	 * @return EOK if succeed, negative error code otherwise.
 	 *
 	 */
-	errno_t (*disconnect)(ddf_fun_t *);
+	int (*disconnect)(ddf_fun_t *);
 } ieee80211_iface_t;
 
Index: uspace/lib/drv/include/ops/led_dev.h
===================================================================
--- uspace/lib/drv/include/ops/led_dev.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ops/led_dev.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,5 +40,5 @@
 
 typedef struct {
-	errno_t (*color_set)(ddf_fun_t *, pixel_t);
+	int (*color_set)(ddf_fun_t *, pixel_t);
 } led_dev_ops_t;
 
Index: uspace/lib/drv/include/ops/nic.h
===================================================================
--- uspace/lib/drv/include/ops/nic.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ops/nic.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,68 +44,68 @@
 typedef struct nic_iface {
 	/** Mandatory methods */
-	errno_t (*send_frame)(ddf_fun_t *, void *, size_t);
-	errno_t (*callback_create)(ddf_fun_t *);
-	errno_t (*get_state)(ddf_fun_t *, nic_device_state_t *);
-	errno_t (*set_state)(ddf_fun_t *, nic_device_state_t);
-	errno_t (*get_address)(ddf_fun_t *, nic_address_t *);
+	int (*send_frame)(ddf_fun_t *, void *, size_t);
+	int (*callback_create)(ddf_fun_t *);
+	int (*get_state)(ddf_fun_t *, nic_device_state_t *);
+	int (*set_state)(ddf_fun_t *, nic_device_state_t);
+	int (*get_address)(ddf_fun_t *, nic_address_t *);
 	
 	/** Optional methods */
-	errno_t (*set_address)(ddf_fun_t *, const nic_address_t *);
-	errno_t (*get_stats)(ddf_fun_t *, nic_device_stats_t *);
-	errno_t (*get_device_info)(ddf_fun_t *, nic_device_info_t *);
-	errno_t (*get_cable_state)(ddf_fun_t *, nic_cable_state_t *);
+	int (*set_address)(ddf_fun_t *, const nic_address_t *);
+	int (*get_stats)(ddf_fun_t *, nic_device_stats_t *);
+	int (*get_device_info)(ddf_fun_t *, nic_device_info_t *);
+	int (*get_cable_state)(ddf_fun_t *, nic_cable_state_t *);
 	
-	errno_t (*get_operation_mode)(ddf_fun_t *, int *, nic_channel_mode_t *,
+	int (*get_operation_mode)(ddf_fun_t *, int *, nic_channel_mode_t *,
 	    nic_role_t *);
-	errno_t (*set_operation_mode)(ddf_fun_t *, int, nic_channel_mode_t,
+	int (*set_operation_mode)(ddf_fun_t *, int, nic_channel_mode_t,
 	    nic_role_t);
-	errno_t (*autoneg_enable)(ddf_fun_t *, uint32_t);
-	errno_t (*autoneg_disable)(ddf_fun_t *);
-	errno_t (*autoneg_probe)(ddf_fun_t *, uint32_t *, uint32_t *,
+	int (*autoneg_enable)(ddf_fun_t *, uint32_t);
+	int (*autoneg_disable)(ddf_fun_t *);
+	int (*autoneg_probe)(ddf_fun_t *, uint32_t *, uint32_t *,
 	    nic_result_t *, nic_result_t *);
-	errno_t (*autoneg_restart)(ddf_fun_t *);
-	errno_t (*get_pause)(ddf_fun_t *, nic_result_t *, nic_result_t *,
-	    uint16_t *);
-	errno_t (*set_pause)(ddf_fun_t *, int, int, uint16_t);
+	int (*autoneg_restart)(ddf_fun_t *);
+	int (*get_pause)(ddf_fun_t *, nic_result_t *, nic_result_t *,
+		uint16_t *);
+	int (*set_pause)(ddf_fun_t *, int, int, uint16_t);
 	
-	errno_t (*unicast_get_mode)(ddf_fun_t *, nic_unicast_mode_t *, size_t,
+	int (*unicast_get_mode)(ddf_fun_t *, nic_unicast_mode_t *, size_t,
 	    nic_address_t *, size_t *);
-	errno_t (*unicast_set_mode)(ddf_fun_t *, nic_unicast_mode_t,
+	int (*unicast_set_mode)(ddf_fun_t *, nic_unicast_mode_t,
 	    const nic_address_t *, size_t);
-	errno_t (*multicast_get_mode)(ddf_fun_t *, nic_multicast_mode_t *, size_t,
+	int (*multicast_get_mode)(ddf_fun_t *, nic_multicast_mode_t *, size_t,
 	    nic_address_t *, size_t *);
-	errno_t (*multicast_set_mode)(ddf_fun_t *, nic_multicast_mode_t,
+	int (*multicast_set_mode)(ddf_fun_t *, nic_multicast_mode_t,
 	    const nic_address_t *, size_t);
-	errno_t (*broadcast_get_mode)(ddf_fun_t *, nic_broadcast_mode_t *);
-	errno_t (*broadcast_set_mode)(ddf_fun_t *, nic_broadcast_mode_t);
-	errno_t (*defective_get_mode)(ddf_fun_t *, uint32_t *);
-	errno_t (*defective_set_mode)(ddf_fun_t *, uint32_t);
-	errno_t (*blocked_sources_get)(ddf_fun_t *, size_t, nic_address_t *,
+	int (*broadcast_get_mode)(ddf_fun_t *, nic_broadcast_mode_t *);
+	int (*broadcast_set_mode)(ddf_fun_t *, nic_broadcast_mode_t);
+	int (*defective_get_mode)(ddf_fun_t *, uint32_t *);
+	int (*defective_set_mode)(ddf_fun_t *, uint32_t);
+	int (*blocked_sources_get)(ddf_fun_t *, size_t, nic_address_t *,
 	    size_t *);
-	errno_t (*blocked_sources_set)(ddf_fun_t *, const nic_address_t *, size_t);
+	int (*blocked_sources_set)(ddf_fun_t *, const nic_address_t *, size_t);
 	
-	errno_t (*vlan_get_mask)(ddf_fun_t *, nic_vlan_mask_t *);
-	errno_t (*vlan_set_mask)(ddf_fun_t *, const nic_vlan_mask_t *);
-	errno_t (*vlan_set_tag)(ddf_fun_t *, uint16_t, bool, bool);
+	int (*vlan_get_mask)(ddf_fun_t *, nic_vlan_mask_t *);
+	int (*vlan_set_mask)(ddf_fun_t *, const nic_vlan_mask_t *);
+	int (*vlan_set_tag)(ddf_fun_t *, uint16_t, bool, bool);
 	
-	errno_t (*wol_virtue_add)(ddf_fun_t *, nic_wv_type_t, const void *,
+	int (*wol_virtue_add)(ddf_fun_t *, nic_wv_type_t, const void *,
 	    size_t, nic_wv_id_t *);
-	errno_t (*wol_virtue_remove)(ddf_fun_t *, nic_wv_id_t);
-	errno_t (*wol_virtue_probe)(ddf_fun_t *, nic_wv_id_t, nic_wv_type_t *,
+	int (*wol_virtue_remove)(ddf_fun_t *, nic_wv_id_t);
+	int (*wol_virtue_probe)(ddf_fun_t *, nic_wv_id_t, nic_wv_type_t *,
 	    size_t, void *, size_t *);
-	errno_t (*wol_virtue_list)(ddf_fun_t *, nic_wv_type_t, size_t,
+	int (*wol_virtue_list)(ddf_fun_t *, nic_wv_type_t, size_t,
 	    nic_wv_id_t *, size_t *);
-	errno_t (*wol_virtue_get_caps)(ddf_fun_t *, nic_wv_type_t, int *);
-	errno_t (*wol_load_info)(ddf_fun_t *, nic_wv_type_t *, size_t,
+	int (*wol_virtue_get_caps)(ddf_fun_t *, nic_wv_type_t, int *);
+	int (*wol_load_info)(ddf_fun_t *, nic_wv_type_t *, size_t,
 	    uint8_t *, size_t *);
 	
-	errno_t (*offload_probe)(ddf_fun_t *, uint32_t *, uint32_t *);
-	errno_t (*offload_set)(ddf_fun_t *, uint32_t, uint32_t);
+	int (*offload_probe)(ddf_fun_t *, uint32_t *, uint32_t *);
+	int (*offload_set)(ddf_fun_t *, uint32_t, uint32_t);
 	
-	errno_t (*poll_get_mode)(ddf_fun_t *, nic_poll_mode_t *,
+	int (*poll_get_mode)(ddf_fun_t *, nic_poll_mode_t *,
 	    struct timeval *);
-	errno_t (*poll_set_mode)(ddf_fun_t *, nic_poll_mode_t,
+	int (*poll_set_mode)(ddf_fun_t *, nic_poll_mode_t,
 	    const struct timeval *);
-	errno_t (*poll_now)(ddf_fun_t *);
+	int (*poll_now)(ddf_fun_t *);
 } nic_iface_t;
 
Index: uspace/lib/drv/include/pci_dev_iface.h
===================================================================
--- uspace/lib/drv/include/pci_dev_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/pci_dev_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,21 +45,21 @@
 #define PCI_BASE_CLASS	0x0B
 
-extern errno_t pci_config_space_read_8(async_sess_t *, uint32_t, uint8_t *);
-extern errno_t pci_config_space_read_16(async_sess_t *, uint32_t, uint16_t *);
-extern errno_t pci_config_space_read_32(async_sess_t *, uint32_t, uint32_t *);
+extern int pci_config_space_read_8(async_sess_t *, uint32_t, uint8_t *);
+extern int pci_config_space_read_16(async_sess_t *, uint32_t, uint16_t *);
+extern int pci_config_space_read_32(async_sess_t *, uint32_t, uint32_t *);
 
-extern errno_t pci_config_space_write_8(async_sess_t *, uint32_t, uint8_t);
-extern errno_t pci_config_space_write_16(async_sess_t *, uint32_t, uint16_t);
-extern errno_t pci_config_space_write_32(async_sess_t *, uint32_t, uint32_t);
+extern int pci_config_space_write_8(async_sess_t *, uint32_t, uint8_t);
+extern int pci_config_space_write_16(async_sess_t *, uint32_t, uint16_t);
+extern int pci_config_space_write_32(async_sess_t *, uint32_t, uint32_t);
 
 /** PCI device communication interface. */
 typedef struct {
-	errno_t (*config_space_read_8)(ddf_fun_t *, uint32_t address, uint8_t *data);
-	errno_t (*config_space_read_16)(ddf_fun_t *, uint32_t address, uint16_t *data);
-	errno_t (*config_space_read_32)(ddf_fun_t *, uint32_t address, uint32_t *data);
+	int (*config_space_read_8)(ddf_fun_t *, uint32_t address, uint8_t *data);
+	int (*config_space_read_16)(ddf_fun_t *, uint32_t address, uint16_t *data);
+	int (*config_space_read_32)(ddf_fun_t *, uint32_t address, uint32_t *data);
 
-	errno_t (*config_space_write_8)(ddf_fun_t *, uint32_t address, uint8_t data);
-	errno_t (*config_space_write_16)(ddf_fun_t *, uint32_t address, uint16_t data);
-	errno_t (*config_space_write_32)(ddf_fun_t *, uint32_t address, uint32_t data);
+	int (*config_space_write_8)(ddf_fun_t *, uint32_t address, uint8_t data);
+	int (*config_space_write_16)(ddf_fun_t *, uint32_t address, uint16_t data);
+	int (*config_space_write_32)(ddf_fun_t *, uint32_t address, uint32_t data);
 } pci_dev_iface_t;
 
Index: uspace/lib/drv/include/usb_iface.h
===================================================================
--- uspace/lib/drv/include/usb_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/usb_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -95,47 +95,47 @@
 extern void usb_dev_disconnect(usb_dev_session_t *);
 
-extern errno_t usb_get_my_interface(async_exch_t *, int *);
-extern errno_t usb_get_my_device_handle(async_exch_t *, devman_handle_t *);
+extern int usb_get_my_interface(async_exch_t *, int *);
+extern int usb_get_my_device_handle(async_exch_t *, devman_handle_t *);
 
-extern errno_t usb_reserve_default_address(async_exch_t *, usb_speed_t);
-extern errno_t usb_release_default_address(async_exch_t *);
+extern int usb_reserve_default_address(async_exch_t *, usb_speed_t);
+extern int usb_release_default_address(async_exch_t *);
 
-extern errno_t usb_device_enumerate(async_exch_t *, unsigned port);
-extern errno_t usb_device_remove(async_exch_t *, unsigned port);
+extern int usb_device_enumerate(async_exch_t *, unsigned port);
+extern int usb_device_remove(async_exch_t *, unsigned port);
 
-extern errno_t usb_register_endpoint(async_exch_t *, usb_endpoint_t,
+extern int usb_register_endpoint(async_exch_t *, usb_endpoint_t,
     usb_transfer_type_t, usb_direction_t, size_t, unsigned, unsigned);
-extern errno_t usb_unregister_endpoint(async_exch_t *, usb_endpoint_t,
+extern int usb_unregister_endpoint(async_exch_t *, usb_endpoint_t,
     usb_direction_t);
-extern errno_t usb_read(async_exch_t *, usb_endpoint_t, uint64_t, void *, size_t,
+extern int usb_read(async_exch_t *, usb_endpoint_t, uint64_t, void *, size_t,
     size_t *);
-extern errno_t usb_write(async_exch_t *, usb_endpoint_t, uint64_t, const void *,
+extern int usb_write(async_exch_t *, usb_endpoint_t, uint64_t, const void *,
     size_t);
 
 /** Callback for outgoing transfer. */
-typedef void (*usb_iface_transfer_out_callback_t)(errno_t, void *);
+typedef void (*usb_iface_transfer_out_callback_t)(int, void *);
 
 /** Callback for incoming transfer. */
-typedef void (*usb_iface_transfer_in_callback_t)(errno_t, size_t, void *);
+typedef void (*usb_iface_transfer_in_callback_t)(int, size_t, void *);
 
 /** USB device communication interface. */
 typedef struct {
-	errno_t (*get_my_interface)(ddf_fun_t *, int *);
-	errno_t (*get_my_device_handle)(ddf_fun_t *, devman_handle_t *);
+	int (*get_my_interface)(ddf_fun_t *, int *);
+	int (*get_my_device_handle)(ddf_fun_t *, devman_handle_t *);
 
-	errno_t (*reserve_default_address)(ddf_fun_t *, usb_speed_t);
-	errno_t (*release_default_address)(ddf_fun_t *);
+	int (*reserve_default_address)(ddf_fun_t *, usb_speed_t);
+	int (*release_default_address)(ddf_fun_t *);
 
-	errno_t (*device_enumerate)(ddf_fun_t *, unsigned);
-	errno_t (*device_remove)(ddf_fun_t *, unsigned);
+	int (*device_enumerate)(ddf_fun_t *, unsigned);
+	int (*device_remove)(ddf_fun_t *, unsigned);
 
-	errno_t (*register_endpoint)(ddf_fun_t *, usb_endpoint_t,
+	int (*register_endpoint)(ddf_fun_t *, usb_endpoint_t,
 	    usb_transfer_type_t, usb_direction_t, size_t, unsigned, unsigned);
-	errno_t (*unregister_endpoint)(ddf_fun_t *, usb_endpoint_t,
+	int (*unregister_endpoint)(ddf_fun_t *, usb_endpoint_t,
 	    usb_direction_t);
 
-	errno_t (*read)(ddf_fun_t *, usb_endpoint_t, uint64_t, uint8_t *, size_t,
+	int (*read)(ddf_fun_t *, usb_endpoint_t, uint64_t, uint8_t *, size_t,
 	    usb_iface_transfer_in_callback_t, void *);
-	errno_t (*write)(ddf_fun_t *, usb_endpoint_t, uint64_t, const uint8_t *,
+	int (*write)(ddf_fun_t *, usb_endpoint_t, uint64_t, const uint8_t *,
 	    size_t, usb_iface_transfer_out_callback_t, void *);
 } usb_iface_t;
Index: uspace/lib/drv/include/usbhc_iface.h
===================================================================
--- uspace/lib/drv/include/usbhc_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/usbhc_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,20 +44,20 @@
 #include <stdbool.h>
 
-extern errno_t usbhc_read(async_exch_t *, usb_address_t, usb_endpoint_t,
+extern int usbhc_read(async_exch_t *, usb_address_t, usb_endpoint_t,
     uint64_t, void *, size_t, size_t *);
-extern errno_t usbhc_write(async_exch_t *, usb_address_t, usb_endpoint_t,
+extern int usbhc_write(async_exch_t *, usb_address_t, usb_endpoint_t,
     uint64_t, const void *, size_t);
 
 /** Callback for outgoing transfer. */
-typedef void (*usbhc_iface_transfer_out_callback_t)(errno_t, void *);
+typedef void (*usbhc_iface_transfer_out_callback_t)(int, void *);
 
 /** Callback for incoming transfer. */
-typedef void (*usbhc_iface_transfer_in_callback_t)(errno_t, size_t, void *);
+typedef void (*usbhc_iface_transfer_in_callback_t)(int, size_t, void *);
 
 /** USB host controller communication interface. */
 typedef struct {
-	errno_t (*read)(ddf_fun_t *, usb_target_t, uint64_t, uint8_t *, size_t,
+	int (*read)(ddf_fun_t *, usb_target_t, uint64_t, uint8_t *, size_t,
 	    usbhc_iface_transfer_in_callback_t, void *);
-	errno_t (*write)(ddf_fun_t *, usb_target_t, uint64_t, const uint8_t *,
+	int (*write)(ddf_fun_t *, usb_target_t, uint64_t, const uint8_t *,
 	    size_t, usbhc_iface_transfer_out_callback_t, void *);
 } usbhc_iface_t;
Index: uspace/lib/drv/include/usbhid_iface.h
===================================================================
--- uspace/lib/drv/include/usbhid_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/usbhid_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,9 +39,9 @@
 #include "ddf/driver.h"
 
-extern errno_t usbhid_dev_get_event_length(async_sess_t *, size_t *);
-extern errno_t usbhid_dev_get_event(async_sess_t *, uint8_t *, size_t, size_t *,
+extern int usbhid_dev_get_event_length(async_sess_t *, size_t *);
+extern int usbhid_dev_get_event(async_sess_t *, uint8_t *, size_t, size_t *,
     int *, unsigned int);
-extern errno_t usbhid_dev_get_report_descriptor_length(async_sess_t *, size_t *);
-extern errno_t usbhid_dev_get_report_descriptor(async_sess_t *, uint8_t *, size_t,
+extern int usbhid_dev_get_report_descriptor_length(async_sess_t *, size_t *);
+extern int usbhid_dev_get_report_descriptor(async_sess_t *, uint8_t *, size_t,
     size_t *);
 
@@ -63,5 +63,5 @@
 	 * @return Error code.
 	 */
-	errno_t (*get_event)(ddf_fun_t *fun, uint8_t *buffer, size_t size,
+	int (*get_event)(ddf_fun_t *fun, uint8_t *buffer, size_t size,
 	    size_t *act_size, int *event_nr, unsigned int flags);
 	
@@ -81,5 +81,5 @@
 	 * @return Error code.
 	 */
-	errno_t (*get_report_descriptor)(ddf_fun_t *fun, uint8_t *desc,
+	int (*get_report_descriptor)(ddf_fun_t *fun, uint8_t *desc, 
 	    size_t size, size_t *act_size);
 } usbhid_iface_t;
Index: uspace/lib/ext4/include/ext4/balloc.h
===================================================================
--- uspace/lib/ext4/include/ext4/balloc.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/include/ext4/balloc.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,10 +37,10 @@
 #include "types.h"
 
-extern errno_t ext4_balloc_free_block(ext4_inode_ref_t *, uint32_t);
-extern errno_t ext4_balloc_free_blocks(ext4_inode_ref_t *, uint32_t, uint32_t);
+extern int ext4_balloc_free_block(ext4_inode_ref_t *, uint32_t);
+extern int ext4_balloc_free_blocks(ext4_inode_ref_t *, uint32_t, uint32_t);
 extern uint32_t ext4_balloc_get_first_data_block_in_group(ext4_superblock_t *,
     ext4_block_group_ref_t *);
-extern errno_t ext4_balloc_alloc_block(ext4_inode_ref_t *, uint32_t *);
-extern errno_t ext4_balloc_try_alloc_block(ext4_inode_ref_t *, uint32_t, bool *);
+extern int ext4_balloc_alloc_block(ext4_inode_ref_t *, uint32_t *);
+extern int ext4_balloc_try_alloc_block(ext4_inode_ref_t *, uint32_t, bool *);
 
 #endif
Index: uspace/lib/ext4/include/ext4/bitmap.h
===================================================================
--- uspace/lib/ext4/include/ext4/bitmap.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/include/ext4/bitmap.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,7 +40,7 @@
 extern void ext4_bitmap_set_bit(uint8_t *, uint32_t);
 extern bool ext4_bitmap_is_free_bit(uint8_t *, uint32_t);
-extern errno_t ext4_bitmap_find_free_byte_and_set_bit(uint8_t *, uint32_t,
+extern int ext4_bitmap_find_free_byte_and_set_bit(uint8_t *, uint32_t,
     uint32_t *, uint32_t);
-extern errno_t ext4_bitmap_find_free_bit_and_set(uint8_t *, uint32_t, uint32_t *,
+extern int ext4_bitmap_find_free_bit_and_set(uint8_t *, uint32_t, uint32_t *,
     uint32_t);
 
Index: uspace/lib/ext4/include/ext4/directory.h
===================================================================
--- uspace/lib/ext4/include/ext4/directory.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/include/ext4/directory.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -53,25 +53,25 @@
     ext4_directory_entry_ll_t *, uint8_t);
 
-extern errno_t ext4_directory_iterator_init(ext4_directory_iterator_t *,
+extern int ext4_directory_iterator_init(ext4_directory_iterator_t *,
     ext4_inode_ref_t *, aoff64_t);
-extern errno_t ext4_directory_iterator_next(ext4_directory_iterator_t *);
-extern errno_t ext4_directory_iterator_fini(ext4_directory_iterator_t *);
+extern int ext4_directory_iterator_next(ext4_directory_iterator_t *);
+extern int ext4_directory_iterator_fini(ext4_directory_iterator_t *);
 
 extern void ext4_directory_write_entry(ext4_superblock_t *,
     ext4_directory_entry_ll_t *, uint16_t, ext4_inode_ref_t *,
     const char *, size_t);
-extern errno_t ext4_directory_add_entry(ext4_inode_ref_t *, const char *,
+extern int ext4_directory_add_entry(ext4_inode_ref_t *, const char *,
     ext4_inode_ref_t *);
-extern errno_t ext4_directory_find_entry(ext4_directory_search_result_t *,
+extern int ext4_directory_find_entry(ext4_directory_search_result_t *,
     ext4_inode_ref_t *, const char *);
-extern errno_t ext4_directory_remove_entry(ext4_inode_ref_t *, const char *);
+extern int ext4_directory_remove_entry(ext4_inode_ref_t *, const char *);
 
-extern errno_t ext4_directory_try_insert_entry(ext4_superblock_t *, block_t *,
+extern int ext4_directory_try_insert_entry(ext4_superblock_t *, block_t *,
     ext4_inode_ref_t *, const char *, uint32_t);
 
-extern errno_t ext4_directory_find_in_block(block_t *, ext4_superblock_t *, size_t,
+extern int ext4_directory_find_in_block(block_t *, ext4_superblock_t *, size_t,
     const char *, ext4_directory_entry_ll_t **);
 
-extern errno_t ext4_directory_destroy_result(ext4_directory_search_result_t *);
+extern int ext4_directory_destroy_result(ext4_directory_search_result_t *);
 
 #endif
Index: uspace/lib/ext4/include/ext4/directory_index.h
===================================================================
--- uspace/lib/ext4/include/ext4/directory_index.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/include/ext4/directory_index.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -65,8 +65,8 @@
     uint32_t);
 
-extern errno_t ext4_directory_dx_init(ext4_inode_ref_t *);
-extern errno_t ext4_directory_dx_find_entry(ext4_directory_search_result_t *,
+extern int ext4_directory_dx_init(ext4_inode_ref_t *);
+extern int ext4_directory_dx_find_entry(ext4_directory_search_result_t *,
     ext4_inode_ref_t *, size_t, const char *);
-extern errno_t ext4_directory_dx_add_entry(ext4_inode_ref_t *, ext4_inode_ref_t *,
+extern int ext4_directory_dx_add_entry(ext4_inode_ref_t *, ext4_inode_ref_t *,
     const char *);
 
Index: uspace/lib/ext4/include/ext4/extent.h
===================================================================
--- uspace/lib/ext4/include/ext4/extent.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ext4/include/ext4/extent.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -61,8 +61,8 @@
 extern void ext4_extent_header_set_generation(ext4_extent_header_t *, uint32_t);
 
-extern errno_t ext4_extent_find_block(ext4_inode_ref_t *, uint32_t, uint32_t *);
-extern errno_t ext4_extent_release_blocks_from(ext4_inode_ref_t *, uint32_t);
+extern int ext4_extent_find_block(ext4_inode_ref_t *, uint32_t, uint32_t *);
+extern int ext4_extent_release_blocks_from(ext4_inode_ref_t *, uint32_t);
 
-extern errno_t ext4_extent_append_block(ext4_inode_ref_t *, uint32_t *, uint32_t *,
+extern int ext4_extent_append_block(ext4_inode_ref_t *, uint32_t *, uint32_t *,
     bool);
 
